<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: ddr_wportA Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">ddr_wportA Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ddr_wportA:</div>
<div class="dyncontent">
<div class="center"><img src="classddr__wportA__inherit__graph.png" border="0" usemap="#ddr__wportA_inherit__map" alt="Inheritance graph"/></div>
<map name="ddr__wportA_inherit__map" id="ddr__wportA_inherit__map">
<area shape="rect" id="node3" href="classddr__if.html" title="ddr_if" alt="" coords="24,155,83,181"/><area shape="rect" id="node2" href="classRAM32x6D.html" title="RAM32x6D" alt="" coords="7,5,99,32"/><area shape="rect" id="node4" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="8,229,99,256"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classddr__wportA-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classddr__wportA_1_1Behavioral.html">Behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:afd13b50585152f6756d196bf3f1c52ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd13b50585152f6756d196bf3f1c52ac"></a>
<a class="el" href="classddr__wportA.html#afd13b50585152f6756d196bf3f1c52ac">UNISIM</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="memitem:a638db61841484c449397fe11129de31c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a638db61841484c449397fe11129de31c"></a>
<a class="el" href="classddr__wportA.html#a638db61841484c449397fe11129de31c">UNIMACRO</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:ad8a035eadb3459f7d2a4ae42064710f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8a035eadb3459f7d2a4ae42064710f7"></a>
<a class="el" href="classddr__wportA.html#ad8a035eadb3459f7d2a4ae42064710f7">amc13_pack</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classamc13__pack.html"> &lt;amc13_pack&gt;</a></td></tr>
<tr class="memitem:a0b4e29910fa9741df9382cff5f62bbdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b4e29910fa9741df9382cff5f62bbdb"></a>
<a class="el" href="classddr__wportA.html#a0b4e29910fa9741df9382cff5f62bbdb">VComponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:aa1cb22e959d47364391e5eb4ef86927c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1cb22e959d47364391e5eb4ef86927c"></a>
<a class="el" href="classddr__wportA.html#aa1cb22e959d47364391e5eb4ef86927c">vcomponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aff74a6da063d6bc9904a70d517332f09"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff74a6da063d6bc9904a70d517332f09"></a>
<a class="el" href="classddr__wportA.html#aff74a6da063d6bc9904a70d517332f09">sysclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae2cad65ae8e6f8651908d36263d90b3c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2cad65ae8e6f8651908d36263d90b3c"></a>
<a class="el" href="classddr__wportA.html#ae2cad65ae8e6f8651908d36263d90b3c">memclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a62badf49d112dc8b7bb3f4cfa7748705"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62badf49d112dc8b7bb3f4cfa7748705"></a>
<a class="el" href="classddr__wportA.html#a62badf49d112dc8b7bb3f4cfa7748705">fifo_rst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0a97e4837c1b7f29ad71be521531acb1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0a97e4837c1b7f29ad71be521531acb1"></a>
<a class="el" href="classddr__wportA.html#a0a97e4837c1b7f29ad71be521531acb1">fifo_en</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac22aca35bcf4b2dd834bf59e0c14f88c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac22aca35bcf4b2dd834bf59e0c14f88c"></a>
<a class="el" href="classddr__wportA.html#ac22aca35bcf4b2dd834bf59e0c14f88c">resetSys</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9ffc7272eb319e36d1c9762d0e0a8cd5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ffc7272eb319e36d1c9762d0e0a8cd5"></a>
<a class="el" href="classddr__wportA.html#a9ffc7272eb319e36d1c9762d0e0a8cd5">resetMem</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a936818b8a0735a61fee678d88f28bc32"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a936818b8a0735a61fee678d88f28bc32"></a>
<a class="el" href="classddr__wportA.html#a936818b8a0735a61fee678d88f28bc32">run</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9fa09654ac2d8bd38e8da2f4644c65cd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9fa09654ac2d8bd38e8da2f4644c65cd"></a>
<a class="el" href="classddr__wportA.html#a9fa09654ac2d8bd38e8da2f4644c65cd">din</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">65</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab42bc1e15a88b9ebe50df18ba6f59e20"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab42bc1e15a88b9ebe50df18ba6f59e20"></a>
<a class="el" href="classddr__wportA.html#ab42bc1e15a88b9ebe50df18ba6f59e20">din_we</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad9adac4c3206c2d3c83c09312aeadb2f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad9adac4c3206c2d3c83c09312aeadb2f"></a>
<a class="el" href="classddr__wportA.html#ad9adac4c3206c2d3c83c09312aeadb2f">port_rdy</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae3e3880d40408b6935704de4d4c7aa5b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3e3880d40408b6935704de4d4c7aa5b"></a>
<a class="el" href="classddr__wportA.html#ae3e3880d40408b6935704de4d4c7aa5b">WrtMonBlkDone</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a263c6edda71c98996417ab4e1942ffb1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a263c6edda71c98996417ab4e1942ffb1"></a>
<a class="el" href="classddr__wportA.html#a263c6edda71c98996417ab4e1942ffb1">WrtMonEvtDone</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4ce46a3c63ec58ac4d0c0a49193bd45d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ce46a3c63ec58ac4d0c0a49193bd45d"></a>
<a class="el" href="classddr__wportA.html#a4ce46a3c63ec58ac4d0c0a49193bd45d">KiloByte_toggle</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af59d02f6bc912877e7b218d29720505a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af59d02f6bc912877e7b218d29720505a"></a>
<a class="el" href="classddr__wportA.html#af59d02f6bc912877e7b218d29720505a">EoB_toggle</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aec7d140526dadcc8186e4c3c32ea4877"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec7d140526dadcc8186e4c3c32ea4877"></a>
<a class="el" href="classddr__wportA.html#aec7d140526dadcc8186e4c3c32ea4877">buf_full</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:addf207a8dbd9d77f13c5702613592481"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="addf207a8dbd9d77f13c5702613592481"></a>
<a class="el" href="classddr__wportA.html#addf207a8dbd9d77f13c5702613592481">event_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">13</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac82597a5b4340f4117ced4f3c1859d1e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac82597a5b4340f4117ced4f3c1859d1e"></a>
<a class="el" href="classddr__wportA.html#ac82597a5b4340f4117ced4f3c1859d1e">addr_we</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afcc3ca490750e9ba6026e7dfadb4ae71"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afcc3ca490750e9ba6026e7dfadb4ae71"></a>
<a class="el" href="classddr__wportA.html#afcc3ca490750e9ba6026e7dfadb4ae71">rqst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab962d5ae6ed8c0aa7f1eebb7d9540fe3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab962d5ae6ed8c0aa7f1eebb7d9540fe3"></a>
<a class="el" href="classddr__wportA.html#ab962d5ae6ed8c0aa7f1eebb7d9540fe3">ack</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac10fe249616fa4362a0c99a02e8f71e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac10fe249616fa4362a0c99a02e8f71e5"></a>
<a class="el" href="classddr__wportA.html#ac10fe249616fa4362a0c99a02e8f71e5">app_wdf_rdy</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5f086859817b4a7bcf1a59e8c9a8bc9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f086859817b4a7bcf1a59e8c9a8bc9b"></a>
<a class="el" href="classddr__wportA.html#a5f086859817b4a7bcf1a59e8c9a8bc9b">app_rdy</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a37ad260db2fbfe6d91a5700e65574b9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37ad260db2fbfe6d91a5700e65574b9a"></a>
<a class="el" href="classddr__wportA.html#a37ad260db2fbfe6d91a5700e65574b9a">app_en</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a21f204c9fe3d22c9010509189757f267"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a21f204c9fe3d22c9010509189757f267"></a>
<a class="el" href="classddr__wportA.html#a21f204c9fe3d22c9010509189757f267">app_wdf_wren</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7c935543c634adeabff52e9dfc5ed5c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c935543c634adeabff52e9dfc5ed5c4"></a>
<a class="el" href="classddr__wportA.html#a7c935543c634adeabff52e9dfc5ed5c4">app_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">23</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a82f8a510b5393954da6ecc51c6d32c2f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a82f8a510b5393954da6ecc51c6d32c2f"></a>
<a class="el" href="classddr__wportA.html#a82f8a510b5393954da6ecc51c6d32c2f">dout</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">255</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adae8ec8c253b15ec4991678bce57210c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adae8ec8c253b15ec4991678bce57210c"></a>
<a class="el" href="classddr__wportA.html#adae8ec8c253b15ec4991678bce57210c">cs_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">511</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a04705264a22097cb37a46f9877fb56c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04705264a22097cb37a46f9877fb56c3"></a>
<a class="el" href="classddr__wportA.html#a04705264a22097cb37a46f9877fb56c3">debug</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="ddr__wportA_8vhd_source.html#l00038">38</a> of file <a class="el" href="ddr__wportA_8vhd_source.html">ddr_wportA.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/DDR/<a class="el" href="ddr__wportA_8vhd_source.html">ddr_wportA.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
